Subject: Re: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: Robert Pluim <[email-masked]>
Date: Mon, 21 Feb 2022 12:49:48 +0100

>>>>> On Mon, 21 Feb 2022 19:28:27 +0800, Po Lu <[email-masked]> said:

    Po> Robert Pluim <[email-masked]> writes:
    Stephen> This sounds like bug#52697, which was fixed on master in 855928082b and
    Stephen> 9966d9574b.

    >> It does, but I think that only fixed part of the issue. With
    >> GDK_BACKEND=x11, I get the right results, but with the Wayland backend
    >> I always get "(26 . 23)" wherever I place the frame(although if I
    >> maximize the frame I get "(0 . 0)"

    Po> Could you tell the result with an undecorated frame?

If I create a second frame with

(make-frame '((undecorated . t)))

then

(frame-position) => (0 . 0)

wherever that frame is positioned.

Robert
--